org.apache.xmlbeans.impl.common

## Class SniffedXmlReader

- java.lang.Object
- - java.io.Reader
  - - java.io.BufferedReader
    - - org.apache.xmlbeans.impl.common.SniffedXmlReader

- All Implemented Interfaces:
    Closeable, AutoCloseable, Readable

      public class SniffedXmlReader
      extends BufferedReader

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `MAX_SNIFFED_CHARS`

    - ### Fields inherited from class java.io.Reader

      `lock`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SniffedXmlReader(Reader reader)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getXmlEncoding()`

    - ### Methods inherited from class java.io.BufferedReader

      `close, lines, mark, markSupported, read, read, readLine, ready, reset, skip`

    - ### Methods inherited from class java.io.Reader

      `read, read`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### MAX_SNIFFED_CHARS

          public static final int MAX_SNIFFED_CHARS

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### SniffedXmlReader

          public SniffedXmlReader(Reader reader)
                           throws IOException

      Throws:
        `IOException`

  - ### Method Detail

    - #### getXmlEncoding

          public String getXmlEncoding()